> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar contas a receber



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /contas-receber
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /contas-receber:
    get:
      tags:
        - Contas a receber
      summary: Listar contas a receber
      operationId: ListarContasReceberAction
      parameters:
        - $ref: '#/components/parameters/nomeClienteContasReceber'
        - $ref: '#/components/parameters/situacaoContasReceber'
        - $ref: '#/components/parameters/dataInicialEmissaoContasReceber'
        - $ref: '#/components/parameters/dataFinalEmissaoContasReceber'
        - $ref: '#/components/parameters/dataInicialVencimentoContasReceber'
        - $ref: '#/components/parameters/dataFinalVencimentoContasReceber'
        - $ref: '#/components/parameters/numeroDocumentoContasReceber'
        - $ref: '#/components/parameters/numeroBancoContasReceber'
        - $ref: '#/components/parameters/idNotaContasReceber'
        - $ref: '#/components/parameters/idVendaContasReceber'
        - $ref: '#/components/parameters/marcadoresContaReceber'
        - $ref: '#/components/parameters/orderBy'
        - $ref: '#/components/parameters/get_contas_receber_limit'
        - $ref: '#/components/parameters/get_contas_receber_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: '#/components/schemas/ListagemContasReceberResponseModel'
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    nomeClienteContasReceber:
      name: nomeCliente
      in: query
      description: Pesquisa por nome do cliente de contas a receber
      required: false
      schema:
        type: string
    situacaoContasReceber:
      name: situacao
      in: query
      description: |-
        Pesquisa por situação de contas a receber
        - aberto - Aberto
        - cancelada - Cancelada
        - pago - Pago
        - parcial - Parcial
        - prevista - Prevista
        - atrasadas - Atrasadas
        - emissao - Emissao
      required: false
      schema:
        enum:
          - aberto
          - cancelada
          - pago
          - parcial
          - prevista
          - atrasadas
          - emissao
      x-enumDescriptions:
        - aberto - Aberto
        - cancelada - Cancelada
        - pago - Pago
        - parcial - Parcial
        - prevista - Prevista
        - atrasadas - Atrasadas
        - emissao - Emissao
    dataInicialEmissaoContasReceber:
      name: dataInicialEmissao
      in: query
      description: Pesquisa por data inicial da emissão de contas a receber
      required: false
      schema:
        type: string
        example: '2024-01-01'
    dataFinalEmissaoContasReceber:
      name: dataFinalEmissao
      in: query
      description: Pesquisa por data final da emissão de contas a receber
      required: false
      schema:
        type: string
        example: '2024-01-01'
    dataInicialVencimentoContasReceber:
      name: dataInicialVencimento
      in: query
      description: Pesquisa por data inicial do vencimento de contas a receber
      required: false
      schema:
        type: string
        example: '2024-01-01'
    dataFinalVencimentoContasReceber:
      name: dataFinalVencimento
      in: query
      description: Pesquisa por data final do vencimento de contas a receber
      required: false
      schema:
        type: string
        example: '2024-01-01'
    numeroDocumentoContasReceber:
      name: numeroDocumento
      in: query
      description: >-
        Pesquisa por número do documento de contas a receber. O número do
        documento é a concatenação do campo serie + numeroDocumento
      required: false
      schema:
        type: string
    numeroBancoContasReceber:
      name: numeroBanco
      in: query
      description: Pesquisa por número do banco de contas a receber
      required: false
      schema:
        type: string
    idNotaContasReceber:
      name: idNota
      in: query
      description: Pesquisa por identificador da nota de contas a receber
      required: false
      schema:
        type: integer
    idVendaContasReceber:
      name: idVenda
      in: query
      description: Pesquisa por identificador da venda de contas a receber
      required: false
      schema:
        type: integer
    marcadoresContaReceber:
      name: marcadores
      in: query
      description: Pesquisa por marcadores
      required: false
      schema:
        type: array
        items:
          type: string
    orderBy:
      name: orderBy
      in: query
      description: |-
        Define a ordenação da listagem por ordem crescente ou decrescente
        - asc - Crescente
        - desc - Descrescente
      required: false
      schema:
        enum:
          - asc
          - desc
      x-enumDescriptions:
        - asc - Crescente
        - desc - Descrescente
    get_contas_receber_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_contas_receber_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    ListagemContasReceberResponseModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
              nullable: true
            situacao:
              description: |-

                - aberto - Aberto
                - cancelada - Cancelada
                - pago - Pago
                - parcial - Parcial
                - prevista - Prevista
                - atrasadas - Atrasadas
                - emissao - Emissao
              type: string
              enum:
                - aberto
                - cancelada
                - pago
                - parcial
                - prevista
                - atrasadas
                - emissao
              nullable: true
              x-enumDescriptions:
                - aberto - Aberto
                - cancelada - Cancelada
                - pago - Pago
                - parcial - Parcial
                - prevista - Prevista
                - atrasadas - Atrasadas
                - emissao - Emissao
            data:
              type: string
              example: '2024-01-01'
              nullable: true
            dataVencimento:
              type: string
              example: '2024-01-01'
              nullable: true
            historico:
              type: string
              nullable: true
            valor:
              type: number
              format: float
              nullable: true
            numeroDocumento:
              type: string
              nullable: true
            numeroBanco:
              type: string
              nullable: true
            serieDocumento:
              type: string
              nullable: true
            cliente:
              $ref: '#/components/schemas/ContatoModelResponse'
            quantidadeParcelasAntecipadas:
              type: integer
              nullable: true
            saldo:
              type: number
              format: float
              nullable: true
          type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ContatoModelResponse:
      title: ' '
      description: ' '
      type: object
      allOf:
        - $ref: '#/components/schemas/BaseContatoModel'
        - properties:
            id:
              type: integer
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
    BaseContatoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            nome:
              type: string
              nullable: true
            codigo:
              type: string
              nullable: true
            fantasia:
              type: string
              nullable: true
            tipoPessoa:
              description: |-

                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
              type: string
              enum:
                - J
                - F
                - E
                - X
              nullable: true
              x-enumDescriptions:
                - J - Juridica
                - F - Fisica
                - E - Estrangeiro
                - X - Estrangeiro No Brasil
            cpfCnpj:
              type: string
              nullable: true
            inscricaoEstadual:
              type: string
              nullable: true
            rg:
              type: string
              nullable: true
            telefone:
              type: string
              nullable: true
            celular:
              type: string
              nullable: true
            email:
              type: string
              nullable: true
            endereco:
              $ref: '#/components/schemas/EnderecoModel'
          type: object
    EnderecoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            endereco:
              type: string
              nullable: true
            numero:
              type: string
              nullable: true
            complemento:
              type: string
              nullable: true
            bairro:
              type: string
              nullable: true
            municipio:
              type: string
              nullable: true
            cep:
              type: string
              nullable: true
            uf:
              type: string
              nullable: true
            pais:
              type: string
              nullable: true
          type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````